{% extends 'members/base.html' %}

{% block title %}
    Login
{% endblock %}

{% block content %}
    <div class="container-fluid">
        <div class="row align-items-center justify-content-center">
            <div class="col-lg-6 col-md-10 col-sm-12">
                {% if error %}
                    <div class="alert alert-danger" role="alert">
                                {{ error }}
                    </div>
                {% endif %}
                <div class="card">
                    <div class="card-body">
                        <form action="" method="POST" role="form">
                            {% csrf_token %}
                            {% for field in form %}
                                <div class="fieldWrapper form-group" aria-required={% if field.field.required %}"true"
                                {% else %}"false"
                                {% endif %}>
                                {{ field.label_tag }}{% if field.field.required %}<span class="required">*</span>
                                {% endif %}
                                {{ field }}
                                {% if field.help_text %}
                                    <p class="help">{{ field.help_text|safe }}</p>
                                {% endif %}
                                </div>
                            {% endfor %}
                    <input id="btnLogin" type="submit" class="btn btn-primary mb-2" value="Login"/>
                    <button type="button" id="btnSignup" class="btn btn-secondary mb-2">New User</button>

                </div>
            </div>

            </form>
        </div>
    </div>

    <script type="application/javascript">
        $('#btnSignup').on('click', () => {
            window.location = '{% url 'members:signup' %}';
        });
    </script>

{% endblock %}

